<ui:composition xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:f="http://java.sun.com/jsf/core" 
				xmlns:h="http://java.sun.com/jsf/html" 
				xmlns:ui="http://java.sun.com/jsf/facelets" 
				template="/template/template.xhtml"> 
				
<ui:param name="page_name" value="Accueil" /> 
	<ui:define name="content">
	<h:form>
	<h:inputText value="#{searchBean.searchText}">
	</h:inputText>
	<h:commandButton action="#{searchBean.goToDisplayPosts(searchBean.searchText)}" value="Search" image="/assetsFront/images/search.png"></h:commandButton>
	
	
	<ui:repeat value="#{postBean.posts}" var="post">
 			 	 <div class="post-content">
 			 	 
 			 	  <div class="post-container">
				<img src="#{request.contextPath}/assetsFront/images/users/user-5.jpg" alt="user" class="profile-photo-md pull-left" />
				
				<div class="post-detail">
				<div class="user-info">
				<h5><a href="timeline.html" class="profile-link">Ali saidani</a><span class="following"></span>#{post.hashtag}</h5>
				<p class="text-muted">#{post.creationDate}</p>
					<div class="reaction">
						<h:commandButton  image="/assetsFront/images/like.png" action="#{postBean.likeDislike(post)}" rendered="#{postBean.EtatLikeDislike(post)}">#{post.nbrLikes}</h:commandButton>                    
                 
                    	<h:commandButton  image="/assetsFront/images/dislike.png" action="#{postBean.likeDislike(post)}" rendered="#{postBean.etat}">#{post.nbrLikes}</h:commandButton>
                                        	
                    	
                  	</div>
                  	<div class="line-divider"></div>
                  	<div class="post-text">
                    #{post.content}
                  	</div>
                  	<ui:repeat var="com" value="#{post.comments}">
                   <div class="post-comment">
                    <img src="#{request.contextPath}/assetsFront/images/users/user-1.jpg" class="profile-photo-sm" />
                    <h:outputText type="text" class="form-control" value="#{com.commentaire}"/>
                    
                  </div>	
                  	</ui:repeat>
						   
						   </div>
						  </div> 
						</div>	
					</div>
					 </ui:repeat>
	
	</h:form>
	
	
	
			

   </ui:define> 
  </ui:composition>
 